Skip to main content
POST

Authorizations

x-vital-api-key
string
header
required

Headers

x-vital-link-token
string | null

Path Parameters

provider
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
whoop,
renpho,
peloton,
zwift,
eight_sleep,
beurer_api,
dexcom,
hammerhead,
my_fitness_pal,
kardia,
abbott_libreview,
tandem_source

Body

application/json
username
string
required

Username for provider

password
string
required

Password for provider

region
enum<string> | null

Provider region to authenticate against. Only applicable to specific providers. ℹ️ This enum is non-exhaustive.

Available options:
us,
eu,
de,
fr,
ca,
br,
ar,
cl,
co,
mx,
gb,
ie,
au,
nz,
nl,
at,
be,
bh,
ch,
cz,
dk,
eg,
es,
fi,
gr,
hr,
il,
it,
jo,
kw,
lb,
lu,
no,
om,
pl,
pt,
qa,
sa,
se,
si,
sk,
tr,
za,
in,
sg,
hk,
kr,
ph,
tw

Response

Successful Response

state
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
success,
error,
pending_provider_mfa
provider
enum<string>
required
deprecated

ℹ️ This enum is non-exhaustive.

Available options:
whoop,
renpho,
peloton,
zwift,
eight_sleep,
beurer_api,
dexcom,
hammerhead,
my_fitness_pal,
kardia,
abbott_libreview,
tandem_source
connected
boolean
required
deprecated
provider_id
string | null
required
deprecated
redirect_url
string | null

The redirect URL you supplied when creating the Link Token (via POST /v2/link/token).

error_type
enum<string> | null

The Link Error Type. This field is populated only when state is error. ℹ️ This enum is non-exhaustive.

Available options:
invalid_token,
token_expired,
token_not_validated,
token_consumed,
provider_credential_error,
provider_password_expired,
provider_api_error,
unsupported_region,
duplicate_connection,
required_scopes_not_granted,
incorrect_mfa_code,
user_cancelled
error
string | null

A developer-readable debug description of the Link Error. This field is populated only when state is error.

provider_mfa
ProviderMFARequest · object | null

The provider MFA request. This field is populated only when state is pending_provider_mfa.